package com.yeejoin.precontrol.common.service;

import java.util.Date;
import java.util.Map;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yeejoin.precontrol.common.dto.CommonPageableDto;
import com.yeejoin.precontrol.common.vo.PersonClockVo;
import com.yeejoin.precontrol.common.vo.ProjectClockVo;

public interface IStatisticalHRService {
	
	Map<String,Object> getMap(String orgCode,Date StartMonth,Date EndMonth);
	
	Map<String,Object> getSalaryMap(String orgCode,Date StartMonth,Date EndMonth);
	
	Map<String,Object> personStatistics(String orgCode,Date StartMonth,Date EndMonth);
	
	Map<String,Object> projectStatistics(String orgCode,Date StartMonth,Date EndMonth);
	
	IPage<ProjectClockVo> dutyList(CommonPageableDto pageable,ProjectClockVo projectClockVo);
	
	IPage<PersonClockVo> enterList(CommonPageableDto pageable,PersonClockVo personClockVo);
}
